[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: svn commit: r959257 - /subversion/trunk/subversion/libsvn_wc/wc_db_pdh.c

From: Philip Martin <philip.martin_at_wandisco.com>
Date: Thu, 01 Jul 2010 16:41:45 +0100

Greg Stein <gstein_at_gmail.com> writes:

> Dood. Re-read my email. I said interim wq items do not have to be supported.
> Only 1.7 [release] items.

So when do we autoupgrade?

1.7-dev to 1.7-dev

I disabled the autoupgrade with a workqueue as it might
break. Developers have to run cleanup with an older client. I'm not
quite sure if you object to this or not.

1.7-dev to 1.7.x

When 1.7.x is released the problems with old 1.7-dev workqueues still
exist, so it doesn't seem sensible to suddenly enable autoupgrade
unconditionally. Developers will probably still have to run cleanup
with an older client.

1.7.x to 1.7.x

The format doesn't change during a release, so we don't have to
autoupgrade.

1.7-dev to 1.8-dev

The 1.7-dev workqueue problems haven't gone away, and we are still
dealing with developer working copies.

1.7.x to 1.8-dev

Here we could autoupgrade if we can exclude problem 1.7-dev
workqueues. I suppose we could scan the workqueue, or perhaps we could
bump the format shortly before 1.7.x and autoupgrade from that version
onwards.

-- 
Philip
Received on 2010-07-01 17:42:42 CEST

This is an archived mail posted to the Subversion Dev mailing list.